| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
globjects::File Class Reference

String source associated to a file. More...

`#include <globjects/include/globjects/base/File.h>`

Inheritance diagram for globjects::File:

## Public Member Functions
| File (const std::string &filePath, bool binary=true)
virtual std::string | string () const override
virtual std::string | shortInfo () const override
const std::string & | filePath () const
void | reload ()
Public Member Functions inherited from globjects::AbstractStringSource
virtual std::vector< std::string > | strings () const
std::vector< const AbstractStringSource * > | flatten () const
virtual void | flattenInto (std::vector< const AbstractStringSource *> &vector) const
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const
Public Member Functions inherited from globjects::Changeable
void | changed () const
void | registerListener (ChangeListener *listener)
void | deregisterListener (ChangeListener *listener)

## Static Public Member Functions
static void | reloadAll ()

## Protected Member Functions
virtual | ~File ()
void | loadFileContent () const
Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()

## Protected Attributes
std::string | m_filePath
bool | m_binary
std::string | m_source
bool | m_valid

## Detailed Description

String source associated to a file.

The file path of a File can be queried using filePath(); To reload the contents from a file, use reload().

See also
  StringSource

## Constructor & Destructor Documentation

## ◆ File()

globjects::File::File | ( | const std::string & | filePath,
|  | bool | binary = `true`
| ) |  |

## ◆ ~File()

virtual globjects::File::~File | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ string()

virtual std::string globjects::File::string | ( |  | ) | const
| override virtual

Implements globjects::AbstractStringSource.

## ◆ shortInfo()

virtual std::string globjects::File::shortInfo | ( |  | ) | const
| override virtual

Reimplemented from globjects::AbstractStringSource.

## ◆ filePath()

const std::string& globjects::File::filePath | ( |  | ) | const

## ◆ reload()

void globjects::File::reload | ( |  | ) |

## ◆ reloadAll()

static void globjects::File::reloadAll | ( |  | ) |
| static

## ◆ loadFileContent()

void globjects::File::loadFileContent | ( |  | ) | const
| protected

## Member Data Documentation

## ◆ m_filePath

std::string globjects::File::m_filePath
| protected

## ◆ m_binary

bool globjects::File::m_binary
| protected

## ◆ m_source

std::string globjects::File::m_source
| mutable protected

## ◆ m_valid

bool globjects::File::m_valid
| mutable protected

The documentation for this class was generated from the following file:

- File.h